Alembic: Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema Class Reference
Inheritance diagram for Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema:

## Public Types
typedef OCollectionsSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >
typedef CollectionsSchemaInfo | info_type
typedef OSchema< CollectionsSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OCollectionsSchema (Alembic::AbcCoreAbstract::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OCollectionsSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
Abc::OStringArrayProperty | createCollection (const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
size_t | getNumCollections ()
| Returns the number of collections that we have.
Abc::OStringArrayProperty | getCollection (size_t i)
| Return a collection by index.
Abc::OStringArrayProperty | getCollection (const std::string &iName)
| Return a collection by name.
bool | valid () const
| Returns whether this function set is valid.
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >
| OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Attributes
std::vector< Abc::OStringArrayProperty > | m_collections
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CollectionsSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Constructor & Destructor Documentation

## ◆ OCollectionsSchema() [1/2]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::OCollectionsSchema | ( | Alembic::AbcCoreAbstract::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new collections writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OCollections (.collection) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OCollectionsSchema() [2/2]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::OCollectionsSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new collections writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OCollections (.collection) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## Member Function Documentation

## ◆ createCollection()

Abc::OStringArrayProperty Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsSchema::createCollection | ( | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

Create a named collection, if the collection already exists return it.

The documentation for this class was generated from the following files:

- AbcCollection/OCollections.h
- AbcCollection/OCollections.cpp